#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	PerlIO
%define		pnam	gzip
%include	/usr/lib/rpm/macros.perl
Summary:	PerlIO::gzip - Perl extension to provide a PerlIO layer to gzip/gunzip
Summary(pl.UTF-8):	PerlIO::gzip - rozszerzenie perla dostarczające warstwę PerlIO do operacji gzip/gunzip
Name:		perl-PerlIO-gzip
Version:	0.18
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/N/NW/NWCLARK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	933fdf283a0d2739f7630420569e3b24
URL:		http://search.cpan.org/dist/PerlIO-gzip/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the
format used by the gzip program. Compression and Decompression are
implemented, but not together. If you attempt to open a file for
reading and writing the open will fail.

%description -l pl.UTF-8
PerlIO::gzip dostarcza wartstwę PerlIO, która potrafi operować na
plikach w formatach używanych przez program gzip.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/PerlIO/*.pm
%dir %{perl_vendorarch}/auto/PerlIO/gzip
%{perl_vendorarch}/auto/PerlIO/gzip/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PerlIO/gzip/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PerlIO-gzip.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9636243
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Tue Dec 28 2010 Elan Ruusamäe <glen@pld-linux.org> 4224bca
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f5d3ff
- release 2

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 455a2b6
- initial

